Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | Static Public Member Functions | List of all members
ranges::single_view< T > Struct Template Reference
Views

## Public Member Functions
constexpr T const * | begin () const noexcept
constexpr T * | begin () noexcept
constexpr T const * | data () const noexcept
constexpr T * | data () noexcept
constexpr T const * | end () const noexcept
constexpr T * | end () noexcept
template<class... Args>
constexpr | single_view (in_place_t, Args &&... args)
constexpr | single_view (T &&t)
constexpr | single_view (T const &t)

## Static Public Member Functions
static constexpr std::size_t | size () noexcept

## Constructor & Destructor Documentation

## ◆ single_view()

template<typename T >
template<class... Args>

constexpr ranges::single_view< T >::single_view | ( | in_place_t | ,
|  | Args &&... | args
| ) |  |
| constexpr

Precondition
  requires `constructible_from<T, Args...>`